Skip to main content

Get Job

Retrieve details and download URLs for a specific split job.

GET /api/v1/splits/:jobId

Authentication

API Key required via X-API-Key header.

Path Parameters

ParameterTypeDescription
jobIdstringThe job ID (e.g., job_abc123)

Response

200 OK (Completed)

{
"id": "job_abc123",
"status": "completed",
"splitMode": "duration",
"segmentDuration": 600,
"outputFormat": "mp3",
"sourceFileName": "podcast-episode-42.mp3",
"sourceDuration": 1380,
"sourceSize": 22080000,
"segments": [
{
"index": 0,
"downloadUrl": "https://cdn.audiospliter.com/segments/abc123-0.mp3",
"duration": 600,
"size": 9600000,
"expiresAt": "2026-03-30T10:00:00Z"
},
{
"index": 1,
"downloadUrl": "https://cdn.audiospliter.com/segments/abc123-1.mp3",
"duration": 600,
"size": 9500000,
"expiresAt": "2026-03-30T10:00:00Z"
},
{
"index": 2,
"downloadUrl": "https://cdn.audiospliter.com/segments/abc123-2.mp3",
"duration": 180,
"size": 2900000,
"expiresAt": "2026-03-30T10:00:00Z"
}
],
"metadata": {
"episodeId": "42"
},
"createdAt": "2026-03-29T10:00:00Z",
"completedAt": "2026-03-29T10:01:23Z"
}

200 OK (Processing)

{
"id": "job_abc123",
"status": "processing",
"progress": 65,
"splitMode": "duration",
"segmentDuration": 600,
"createdAt": "2026-03-29T10:00:00Z"
}

404 Not Found

{
"error": {
"code": "JOB_NOT_FOUND",
"message": "Job job_xyz789 not found",
"status": 404
}
}

Code Examples

cURL

curl https://api.audiospliter.com/api/v1/splits/job_abc123 \
-H "X-API-Key: as_live_abc123"

Node.js

const response = await fetch(
'https://api.audiospliter.com/api/v1/splits/job_abc123',
{ headers: { 'X-API-Key': process.env.AUDIOSPLITER_API_KEY } }
);
const job = await response.json();

if (job.status === 'completed') {
for (const segment of job.segments) {
console.log(`Segment ${segment.index}: ${segment.downloadUrl}`);
}
}

Python

import requests, os

response = requests.get(
'https://api.audiospliter.com/api/v1/splits/job_abc123',
headers={'X-API-Key': os.environ['AUDIOSPLITER_API_KEY']},
)
job = response.json()

if job['status'] == 'completed':
for segment in job['segments']:
print(f"Segment {segment['index']}: {segment['downloadUrl']}")

Rate Limiting

This endpoint counts toward your per-minute rate limit. See Rate Limits.